summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLance Albertson <ramereth@gentoo.org>2011-03-01 02:18:33 +0000
committerLance Albertson <ramereth@gentoo.org>2011-03-01 02:18:33 +0000
commit4965f1314eefeccd446313addf70b0f4d998fd85 (patch)
tree1d447a70af8b248512ecc820d85cabf1909d5fbf /app-admin/mcollective/files/mcollectived.initd
parentsys-kernel/dracut: Version bump to 008, resolves bug #353577 (diff)
downloadhistorical-4965f1314eefeccd446313addf70b0f4d998fd85.tar.gz
historical-4965f1314eefeccd446313addf70b0f4d998fd85.tar.bz2
historical-4965f1314eefeccd446313addf70b0f4d998fd85.zip
Initial commit imported from my ramereth-overlay
Package-Manager: portage-2.1.9.25/cvs/Linux x86_64
Diffstat (limited to 'app-admin/mcollective/files/mcollectived.initd')
-rw-r--r--app-admin/mcollective/files/mcollectived.initd29
1 files changed, 29 insertions, 0 deletions
diff --git a/app-admin/mcollective/files/mcollectived.initd b/app-admin/mcollective/files/mcollectived.initd
new file mode 100644
index 000000000000..c2f8f85a4c41
--- /dev/null
+++ b/app-admin/mcollective/files/mcollectived.initd
@@ -0,0 +1,29 @@
+#!/sbin/runscript
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-admin/mcollective/files/mcollectived.initd,v 1.1 2011/03/01 02:18:33 ramereth Exp $
+
+mcollectived="/usr/sbin/mcollectived"
+pidfile="/var/run/mcollectived"
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting mcollectived"
+ ${mcollectived} --pid=${pidfile} --config="/etc/mcollective/server.cfg"
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping mcollectived"
+ kill `cat ${pidfile}`
+ eend $?
+}
+
+restart() {
+ svc_stop
+ sleep 2
+ svc_start
+}